//@author: antokhio
//@help: template for compute shaders
//@tags: CS, template
//@credits: 

//StructuredBuffer<float4> color <bool color=true;>;
struct Brush
{
	float4x4 Transform;
	int TexID;
};



Texture2D tex0;
SamplerState s0:IMMUTABLE {Filter=MIN_MAG_MIP_LINEAR;AddressU=CLAMP;AddressV=CLAMP;};

uint ii; // Current Index to write
uint id; // ID of the object
bool Write;

StructuredBuffer<float4x4> transform;
RWStructuredBuffer<Brush> Output : BACKBUFFER;


[numthreads(1, 1, 1)]
void CS( uint3 tid : SV_DispatchThreadID )
{
	if (Write)
	{
		Output[ii].Transform = transform[0];
		Output[ii].TexID = id;
	}
}


technique11 Template
{
	pass P0
	{
		SetComputeShader( CompileShader( cs_5_0, CS() ) );
	}
}




